//
//              VPIFACE.H
//              =========
//
// The DLL-Interface for the "Virtual Print Engine".
//
// To be used by the calling applications.
//
// external Macro-Definitions:
// WINDOWS_DLL     generates Windows DLL-Code, else Windows static library
//
// 11/94 by IDEAL Software, T. Radde
//



#ifndef _MODULE_VPIFACE
#define _MODULE_VPIFACE


#ifdef WINDOWS_DLL
   #define EXPO    FAR PASCAL _export
#else
   #define EXPO
#endif   



extern "C"
{
   int  EXPO VpeGetVersion();
   long EXPO VpeOpenDoc(HWND hWndParent, char *title, int page_width, int page_height, long flags);
   long EXPO VpeOpenDocFile(HWND hWndParent, LPSTR file_name, char *title, int page_width, int page_height, long flags);
   int  EXPO VpeCloseDoc(long hDoc);
   HWND EXPO VpeWindowHandle(long hDoc);
   void EXPO VpeSetDefaultOutputRect(long hDoc, RECT *r);
   void EXPO VpeSetOutputRect(long hDoc, RECT *r);
   void EXPO VpeGetOutputRect(long hDoc, RECT *r);
   void EXPO VpeSetPosRect(long hDoc, RECT *r);
   void EXPO VpeGetPosRect(long hDoc, RECT *r);
   void EXPO VpeSet(long hDoc, int what, int value);
   int  EXPO VpeGet(long hDoc, int what);
   void EXPO VpeStorePos(long hDoc);
   void EXPO VpeRestorePos(long hDoc);
   void EXPO VpeSetScale(long hDoc, double scale);
   void EXPO VpeSetRulersMeasure(long hDoc, int rulers_measure);
   int  EXPO VpeSetupPrinter(long hDoc, LPSTR file_name, int dialog_control);
   void EXPO VpePrintDoc(long hDoc, BOOL with_setup);
   int  EXPO VpeIsPrinting(long hDoc);
   void EXPO VpePreviewDoc(long hDoc, RECT *rc, int show_hide);
   void EXPO VpeSetUpdate(long hDoc, int yes_no);
   void EXPO VpeRefreshDoc(long h);
   void EXPO VpeSetPen(long hDoc, int pen_size, int pen_style, COLORREF color);
   void EXPO VpeNoPen(long hDoc);
   void EXPO VpeLine(long hDoc, int x, int y, int x2, int y2);
   long EXPO VpePolyLine(long h, POINT *p, unsigned int size);
   void EXPO VpeAddPolyPoint(long h, long p,  int x, int y);
   void EXPO VpeSetBkgColor(long hDoc, COLORREF color);
   void EXPO VpeSetTransparentMode(long hDoc, int on_off);
   void EXPO VpeBox(long hDoc, int x, int y, int x2, int y2);
   void EXPO VpeSetBarcodeParms(long hdoc, int orientation, BYTE top_bottom,
                                   BYTE add_top_bottom);
   void EXPO VpeBarcode(long h, int x, int y, int x2, int y2, 
                           int code_type, LPSTR code, LPSTR add_code);
   void EXPO VpeKeepBitmapAspect(long hdoc, int on_off);
   void EXPO VpeDefaultBitmapDPI(long hdoc, int dpix, int dpiy);
   LPCSTR EXPO VpeGetPictureTypes(BOOL with_filters);
   void EXPO VpePicture(long hDoc, int x, int y, int x2, int y2, LPSTR file_name, int flags);
   void EXPO VpeSelectFont(long hDoc, char *name, int size);
   void EXPO VpeSetFontAttr(long hDoc, int alignment, int bold, int underlined, int italic);
   void EXPO VpeSetAlign(long hDoc, int alignment);
   void EXPO VpeSetBold(long hDoc, int bold);
   void EXPO VpeSetUnderlined(long hDoc, int underlined);
   void EXPO VpeSetItalic(long hDoc, int italic);
   void EXPO VpeSetTextColor(long hdoc, COLORREF color);
   int  EXPO VpePrint(long h, int x, int y, char *s);
   int  EXPO VpePrintBox(long h, int x, int y, char *s);
   int  EXPO VpeWrite(long h, int x, int y, int x2, int y2, char *s);
   int  EXPO VpeWriteBox(long hDoc, int x, int y, int x2, int y2, char *s);
   void EXPO VpeDefineHeader(long hDoc, int x, int y, int x2, int y2, char *s);
   void EXPO VpeDefineFooter(long hDoc, int x, int y, int x2, int y2, char *s);
   void EXPO VpePageBreak(long hDoc);
   int  EXPO VpeGetPageCount(long hdoc);
   int  EXPO VpeGetCurrentPage(long hDoc);
   void EXPO VpeGotoPage(long hDoc, int page);
   void EXPO VpeStoreSet(long hDoc, int id);
   void EXPO VpeUseSet(long hDoc, int id);
   void EXPO VpeRemoveSet(long hDoc, int id);
}


#endif          // _MODULE_VPIFACE
